package tool

import (
	"fmt"
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestCombineError(t *testing.T) {
	err := CombineError(nil, nil)
	assert.Nil(t, err)

	err = CombineError(fmt.Errorf("err info"), nil)
	assert.NotNil(t, err)

	err = CombineError(nil, fmt.Errorf("err info"), nil)
	assert.NotNil(t, err)
	t.Log(err)
}

func TestSelectError(t *testing.T) {
	err1 := fmt.Errorf("err info1")
	err2 := fmt.Errorf("err info2")
	err := SelectError(nil, nil)
	assert.Nil(t, err)

	err = SelectError(err1, nil, err2)
	assert.Equal(t, err, err1)

	err = SelectError(nil, err2, nil, err1)
	assert.Equal(t, err, err2)
}
